Package org.eclipse.microprofile.openapi.annotations.media

## Annotation Type Encoding

    @Target({})
    @Retention(RUNTIME)
    @Inherited
    public @interface Encoding

Single encoding definition to be applied to single Schema Object

See Also:
  Encoding Object

### Optional Element Summary

Optional Elements
`boolean` `allowReserved` Determines whether the encoding instance value SHOULD allow reserved characters, as defined by RFC3986 to be included without percent-encoding.
`String` `contentType` The Content-Type for encoding a specific property.
`boolean` `explode` When explode is set to true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map.
`Extension[]` `extensions` List of extensions to be added to the `Encoding` model corresponding to the containing annotation.
`Header[]` `headers` An array of headers that corresponds to a map of headers in the encoding model.
`String` `name` The name of this encoding object instance.
`String` `style` Style describes how the encoding value will be serialized depending on the type of the parameter value.

### Element Detail

#### name

    String name

The name of this encoding object instance. This property is a key in an encoding map of a MediaType object and MUST exist in a schema as a property.

Returns:
  the name of this encoding instance

Default:
  ""

#### contentType

    String contentType

The Content-Type for encoding a specific property. Default value depends on the property type.

For example, for binary string - contentType is application/octet-stream, for primitive types - text/plain, for object - application/json. The value can be a specific media type (e.g. application/json), a wildcard media type (e.g. image/*), or a comma-separated list of the two types.

Returns:
  the contentType property of this encoding instance

Default:
  ""

#### style

    String style

Style describes how the encoding value will be serialized depending on the type of the parameter value. This property SHALL be ignored if the request body media type is not application/x-www-form-urlencoded.

Default values include: form, spaceDelimited, pipeDelimited, and deepObject.

Returns:
  the style of this encoding instance

Default:
  ""

#### explode

    boolean explode

When explode is set to true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map.

For other types of properties this property has no effect. When style is form, the default value is true.

For all other styles, the default value is false.

Returns:
  whether or not this array type encoding will have separate parameters generated for each array value

Default:
  false

#### allowReserved

    boolean allowReserved

Determines whether the encoding instance value SHOULD allow reserved characters, as defined by RFC3986 to be included without percent-encoding.

See RFC3986 for full definition of reserved characters.

Returns:
  whether or not this encoding instance allows reserved characters

Default:
  false

#### headers

    Header[] headers

An array of headers that corresponds to a map of headers in the encoding model. Allows additional information to be provided as headers.

For example, Content-Disposition.

Content-Type is described separately and SHALL be ignored in this section. This property SHALL be ignored if the request body media type is not a multipart.

Returns:
  the array of headers for this encoding instance

Default:
  {}

#### extensions

    Extension[] extensions

List of extensions to be added to the `Encoding` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}